import {CreateArrayTagDirective, CreateControlValueAccessor, CreateComplexDirective, CreateComponent, Utils, ContentChild, Type, forwardRef } from './core';

var Outputs = [ "beforeClose", "beforeDateCreate", "beforeOpen", "change", "close", "create", "destroy", "focusIn", "focusOut", "navigate", "open", "select" ];
var ComplexProperties = [ "fields"  ];
var Inputs = Utils.AngularizeInputs( [ "allowEdit", "allowDrillDown", "blackoutDates", "buttonText", "cssClass", "dateFormat", "dayHeaderFormat", "depthLevel", "displayInline", "enableAnimation", "enabled", "enablePersistence", "enableRTL", "enableStrictMode", "fields", "headerFormat", "height", "highlightSection", "highlightWeekend", "htmlAttributes", "locale", "maxDate", "minDate", "readOnly", "showDisabledRange", "showFooter", "showOtherMonths", "showPopupButton", "showRoundedCorner", "showTooltip", "specialDates", "startDay", "startLevel", "stepMonths", "tooltipFormat", "validationMessage", "validationRules", "value", "watermarkText", "width", "fields.date", "fields.iconClass", "fields.tooltip", "fields.cssClass"  ],[  ]);
export var DatePickerComponent = CreateComponent("DatePicker", {
    selector: 'ej-datepicker',
    inputs : Inputs,
    outputs : Outputs,
    template:"<input />",
    queries: {
    }
},{
   tags : [], 
   twoways : [  ],  
   complexes : ComplexProperties,
   isEditor: true
});

export var DatePickerValueAccessor = CreateControlValueAccessor("ej-datepicker", DatePickerComponent);
export const EJ_DATEPICKER_COMPONENTS: Type<any>[] = [DatePickerComponent , DatePickerValueAccessor ]

 
